Subject: Re: bug#27890: 26.0.50; describe-font does not use Help buffer history

From: [email-masked]
Date: Sun, 06 Aug 2017 07:43:08 -0400

Alex <[email-masked]> writes:

> [email-masked] writes:
>
>> Looks fine, personally I wouldn't bother introducing that local
>> variable.
>
> I introduced that variable because the procedure conditionally sets
> fontname if it's an empty sequence. As it stands, the procedure would
> error without capturing that variable ahead of time due to `length' being
> called on a font object.

Oops, right.  I skimmed too quickly because your patch looked so simple.

> I figured this was the simplest way around that problem. Do you have an
> easier way in mind? I could perhaps change the setq line to instead set
> fontname to (face-attribute 'default :family), which would allow for
> removing the local variable safely.

No, let's not get bogged down in micro-optimization and just go with
what you had originally.